VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsDataProjet"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Public idProjet As Integer
Public Nom As String
Public IdCreateur As Integer

'Liaisons Obligatoire
Public ColCreateur As Collection

Private rec As Recordset
Private strRequete As String
Public Sub ChargeProjet()
    
    If QShema.Projets.Count = 0 Then
        Set rec = Base.OpenRecordset("Select * from Projet", dbOpenForwardOnly, dbReadOnly)
        
        With rec
            Do While Not .EOF
                
                Me.idProjet = .Fields("idProjet")
                Me.Nom = .Fields("Nom")
                Me.IdCreateur = .Fields("IdCreateur")

                QShema.Projets.Add Me, "*" & Me.idProjet
                .MoveNext
            Loop
            .Close
        End With
    End If

End Sub
